c     Copyright (C) 2008-2009 Vincent Eymet
c
c     KDISTRIBUTION is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     KDISTRIBUTION is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with KDISTRIBUTION; if not, see <http://www.gnu.org/licenses/>
c
      subroutine generate_kfile(base,i,kfile,
     &     dkdP_file,dkdT_file,dkdx_file)
      implicit none
      include 'formats.inc'
c
c     Purpose: to generate the path name to the kspectrum output file
c
c     Inputs:
c       + base: character string that contains the base path to the folder that
c         contains kspectrum output files
c       + i: index of the kspectrum output file
c     
c     Outputs:
c       + kfile: path name to the required kspectrum output file
c       + dkdP_file: file that contains d(k)/d(P) information
c       + dkdT_file: file that contains d(k)/d(T) information
c       + dkdx_file: file that contains d(k)/d(x) information
c
      integer i,strlen
      character*100 base,kfile,kf
      character*100 dkdP_file,dkdT_file,dkdx_file
      character*100 dkdPf,dkdTf,dkdxf
      character*3 ich
      character*100 label
      label='generate_kfile'

 21   format(a20)

      call add_slash_if_absent(base)

      call num2str3(i,ich)
c      call idx2str(i,ich)

      kf='k'//ich(1:strlen(ich))
      dkdPf='dk_dP'//ich(1:strlen(ich))
      dkdTf='dk_dT'//ich(1:strlen(ich))
      dkdxf='dk_dx'//ich(1:strlen(ich))
      
      kfile=base(1:strlen(base))//kf(1:strlen(kf))
c     Debug
c      write(*,*) 'kfile=',kfile(1:strlen(kfile))
c     Debug
      dkdP_file=base(1:strlen(base))//dkdPf(1:strlen(dkdPf))
      dkdT_file=base(1:strlen(base))//dkdTf(1:strlen(dkdTf))
      dkdx_file=base(1:strlen(base))//dkdxf(1:strlen(dkdxf))
      
      return
      end
