c     Copyright (C) 2008-2009 Vincent Eymet
c
c     KDISTRIBUTION is free software; you can redistribute it and/or modify
c     it under the terms of the GNU General Public License as published by
c     the Free Software Foundation; either version 3, or (at your option)
c     any later version.

c     KDISTRIBUTION is distributed in the hope that it will be useful,
c     but WITHOUT ANY WARRANTY; without even the implied warranty of
c     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
c     GNU General Public License for more details.

c     You should have received a copy of the GNU General Public License
c     along with KDISTRIBUTION; if not, see <http://www.gnu.org/licenses/>
c
      subroutine read_nu(Nb,nu_min,nu_max)
      implicit none
      include 'max.inc'
      include 'formats.inc'
c
c     Purpose: to read limit values of "nu" for each narrowband spectral interval
c     
c     Inputs:
c       + Nb: number of narrowband spectral intervals
c     
c     Outputs:
c       + nu_min: array of minimum values of "nu" (for each spectral interval)
c       + nu_max: array of maximum values of "nu" (for each spectral interval)
c
      integer Nb,band,strlen,ios
      double precision nu_min(1:Nbmx),nu_max(1:Nbmx)
      character*100 file_nu
      character*100 label
      label='read_nu'

      file_nu='./data/narrowbands.in'
      open(10,file=file_nu(1:strlen(file_nu)),
     &     status='old',iostat=ios)
      if (ios.ne.0) then        ! file not found
         write(*,*) 'Error from routine ',
     &        label(1:strlen(label)),' :'
         write(*,*) 'File could not ne found:'
         write(*,*) file_nu(1:strlen(file_nu))
         stop
      endif
      read(10,*) Nb
      do band=1,Nb
         read(10,*) nu_min(band),nu_max(band)
      enddo
      close(10)

c     coherence check
      do band=2,Nb
         if (nu_min(band).ne.nu_max(band-1)) then
            write(*,*) 'Error from routine ',
     &           label(1:strlen(label)),' :'
            write(*,*) 'Incoherence in spectral interval definition:'
            write(*,*) 'nu_max(',band-1,')=',nu_max(band-1)
            write(*,*) 'nu_min(',band,')=',nu_min(band)
            stop
         endif
      enddo
c     Debug
c      write(*,*) 'Nb=',Nb
c     Debug

      return
      end
